name: TRF
variations: 002, 004, 006, 008, 009, 011, 012, 012U, 014, 014U, 018, 018U, 020, 030, 040, 050, 060, 080, 100, 150, 200
description: PPTC resettable fuse
datasheet: https://datasheet.lcsc.com/lcsc/2304140030_TLC-Electronic-TRF008_C262093.pdf

schematic:
  symbol: fuse

housing@002:
  suffix: "002"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.5
  holeDiameter: 0.7 # lead diameter + 0.2
  padDiameter: 1.1 # hole diameter + 0.2 * 2
  bodyWidth: 7.4 # A
  height: 12.7 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@004:
  suffix: "004"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.5
  holeDiameter: 0.7 # lead diameter + 0.2
  padDiameter: 1.1 # hole diameter + 0.2 * 2
  bodyWidth: 5.8 # A
  height: 9.9 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@006:
  suffix: "006"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 5.8 # A
  height: 9.9 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@008:
  suffix: "008"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 7.4 # A
  height: 12.7 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@009:
  suffix: "009"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 7.4 # A
  height: 12.7 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@011:
  suffix: "011"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 6.5 # A
  height: 11.0 # B
  pitch: 5.1 # C
  leadLength: 5.0 # D
  bodyLength: 4.5 # E

housing@012:
  suffix: "012"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 6.8 # A
  height: 12.0 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@012U:
  suffix: "012U"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 6.8 # A
  height: 12.0 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@014:
  suffix: "014"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 6.5 # A
  height: 11.0 # B
  pitch: 5.1 # C
  leadLength: 5.0 # D
  bodyLength: 4.5 # E

housing@014U:
  suffix: "014U"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 6.0 # A
  height: 10.0 # B
  pitch: 5.1 # C
  leadLength: 4.7 # D
  bodyLength: 4.5 # E

housing@018:
  suffix: "018"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 10.2 # A
  height: 14.5 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@018U:
  suffix: "018U"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 10.2 # A
  height: 14.5 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@020:
  suffix: "020"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 10.5 # A
  height: 17.0 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@030:
  suffix: "030"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 11.0 # A
  height: 16.8 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 4.5 # E

housing@040:
  suffix: "040"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 11.7 # A
  height: 17.0 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 3.8 # E

housing@050:
  suffix: "050"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 13.0 # A
  height: 18.0 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 3.8 # E

housing@060:
  suffix: "060"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.6
  holeDiameter: 0.8 # lead diameter + 0.2
  padDiameter: 1.2 # hole diameter + 0.2 * 2
  bodyWidth: 14.0 # A
  height: 19.5 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 3.8 # E

housing@080:
  suffix: "080"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.8
  holeDiameter: 1.0 # lead diameter + 0.2
  padDiameter: 1.4 # hole diameter + 0.2 * 2
  bodyWidth: 16.3 # A
  height: 21.3 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 3.8 # E

housing@100:
  suffix: "100"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.8
  holeDiameter: 1.0 # lead diameter + 0.2
  padDiameter: 1.4 # hole diameter + 0.2 * 2
  bodyWidth: 17.8 # A
  height: 22.9 # B
  pitch: 5.1 # C
  leadLength: 7.6 # D
  bodyLength: 3.8 # E

housing@150:
  suffix: "150"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.8
  holeDiameter: 1.0 # lead diameter + 0.2
  padDiameter: 1.4 # hole diameter + 0.2 * 2
  bodyWidth: 20.8 # A
  height: 29.8 # B
  pitch: 10.2 # C
  leadLength: 7.6 # D
  bodyLength: 3.8 # E

housing@200:
  suffix: "200"
  pattern: custom
  rowCount: 1
  columnCount: 2
  leadDiameter: 0.8
  holeDiameter: 1.0 # lead diameter + 0.2
  padDiameter: 1.4 # hole diameter + 0.2 * 2
  bodyWidth: 28.4 # A
  height: 33.5 # B
  pitch: 10.2 # C
  leadLength: 7.6 # D
  bodyLength: 3.8 # E
